Forum: Ruby rake-compiler 0.4.1 Released

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Luis L. (Guest)
on 2009-04-10 04:06
(Received via mailing list)
rake-compiler version 0.4.1 has been released!

* <http://github.com/luislavena/rake-compiler>
* <http://rubyforge.org/projects/rake-compiler>

= rake-compiler

rake-compiler aims to help Gem developers while dealing with Ruby C
extensions, simplifying the code and reducing the duplication.

It follows *convention over configuration* and set an standarized
structure to build and package C extensions in your gems.

This is the result of expriences dealing with several Gems that required
native extensions across platforms and different user configurations
where details like portability and clarity of code were lacking.

== An Overview

Let's summarize what rake-compiler provides:

* No custom rake tasks required. Less code duplication and errors.

* Painlessly build extensions on different platforms (Linux, OSX and
Windows).

* Allow multiple extensions be compiled inside the same gem.

* Mimics RubyGems installation process, so helps as test environment.

* Simplify cross platform compilation of extensions (target Windows from
Linux).

Changes:

=== 0.4.1 / 2009-04-09

* Enhancements
  * Target specific versions of Ruby when generating binaries.
    This avoids installing a 1.8.x binary gem in 1.9.x and viceversa.
    (Thanks to Aaron P. for the patches)

* Bugfixes
  * No longer raises error if rake-compiler configuration is missing.
    Not all users of a project would have it installed.
    (Thanks to Aaron P. for the patch)
This topic is locked and can not be replied to.